export declare class LoadStateManager {
  private static instanceByStatus;
  private _state;
  private _application;
  private static listenersByType;
  private constructor();
  private onStatusChange;
  private addListener;
  onPreInitialize(listener: () => void): LoadStateManager;
  onLoaded(listener: () => void): LoadStateManager;
  getStatus(): LoadStatus;
  isPreInitialize(): boolean;
  isLoaded(): boolean;
  static get(type?: LoadType): LoadStateManager;
}
export declare enum LoadStatus {
  DOM_LOADED = "DOM_LOADED",
  PRE_INITIALIZE = "PRE_INITIALIZE",
  LOADED = "LOADED"
}
export declare enum LoadType {
  APP_LOAD = "APP_LOAD"
}
